Subject: bug#9728: Incorrect -L flags order for HP-UX

From: Vincent Lefevre <[email-masked]>
Date: Fri, 14 Oct 2011 01:43:19 +0200

On 2011-10-13 18:21:35 -0500, Peter O'Gorman wrote:
> Ok, this is not a libtool bug though. When it can libtool will add the path
> to the .so instead of -L -l for libraries in the build dir. On many systems
> this works, but HP-UX is one of those systems where it does not, so -L -l
> are used instead. This can cause problems when an older version of the
> library is installed in $prefix.

Which tool is responsible for adding the -L with the relative path?

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)